## click-package 0.1

=== debian/changelog ===
click-package (0.1) saucy; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jun 2013 14:43:21 +0100

## click-package 0.1.1

=== preload/Makefile ===
LIB := libclickpreload.so

CC := gcc
CFLAGS := -O2 -g -Wall
LDLIBS := -ldl
prefix := /usr
libdir := $(prefix)/lib
pkglibdir = $(libdir)/click-package

all: $(LIB)

clean:
	rm -f $(LIB) *.o

clickpreload.o: clickpreload.c
	$(CC) -c $(CFLAGS) -fPIC -o $@ $<

$(LIB): clickpreload.o
	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ $< $(LDLIBS)

install: $(LIB)
	mkdir -p $(DESTDIR)$(pkglibdir)
	cp -p $(LIB) $(DESTDIR)$(pkglibdir)/

=== debian/changelog ===
click-package (0.1.1) saucy; urgency=low

  * clickpackage.tests.test_install: Set NO_PKG_MANGLE when building fake
    packages, to avoid having Maintainer fields mangled on the buildds.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jun 2013 17:32:00 +0100

=== debian/control ===
Source: click-package
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~), python3 (>= 3.3), python3-all, python3-setuptools, python3-debian, pep8, pyflakes, python3-sphinx
Vcs-Bzr: http://bazaar.launchpad.net/+branch/click-package
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: click-package
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click-package (>= ${source:Version}), python3-click-package (<< ${source:Version}.1), adduser
Description: Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides common files, including the main click-package
 program.

Package: click-dev
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}, python3-click-package (= ${binary:Version})
Description: build Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 click-dev provides support for building these packages.

Package: python3-click-package
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-debian
Description: Click packages (Python 3 interface)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides Python 3 modules used by click-package, which may
 also be used directly.

Package: click-package-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Click packages (documentation)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides documentation for click-package.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with python3,sphinxdoc

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C preload $(CROSS)
	set -e; for python in $(PY3); do \
		$$python setup.py build; \
	done
	$(MAKE) -C doc html

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e; for python in $(PY3); do \
		$$python setup.py test; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C preload clean
	$(MAKE) -C doc clean
	rm -rf build *.egg-info .tox
	find -name __pycache__ -print0 | xargs -0r rm -rf

override_dh_auto_install:
	# setuptools likes to leave some debris around, which confuses things.
	find build -name __pycache__ -print0 | xargs -0r rm -rf
	find build -name \*.egg-info -print0 | xargs -0r rm -rf
	dh_auto_install
	$(MAKE) -C preload install DESTDIR=$(CURDIR)/debian/tmp
	set -e; for python in $(PY3); do \
		$$python setup.py install --force --root=$(CURDIR)/debian/tmp \
			--no-compile -O0 --install-layout=deb; \
	done

## click-package 0.1.2

=== debian/changelog ===
click-package (0.1.2) saucy; urgency=low

  * Disable dh_sphinxdoc for builds that are not building
    architecture-independent packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jun 2013 18:57:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -49,3 +49,6 @@
 		$$python setup.py install --force --root=$(CURDIR)/debian/tmp \
 			--no-compile -O0 --install-layout=deb; \
 	done
+
+# Sphinx documentation is architecture-independent.
+override_dh_sphinxdoc-arch:
